Subject: Re: [bug#72766] [PATCH v3 2/2] gnu: slurm: Move client executables into separate output.

From: Ludovic Courtès <[email-masked]>
Date: Fri, 25 Oct 2024 11:32:33 +0200

Hello,

Arun Isaac <[email-masked]> skribis:

>> I think “bin” would be a more conventional name for the output; this is
>> used in a couple of packages and recognized by ‘package->recutils’.
>
> Sure, fixed now.
>
>> However, what does ‘guix size slurm:client’ report?  I suspect it
>> depends on slurm:out, in which case moving to a separate output makes no
>> difference from that perspective.
>
> Yep, that's right.
>
> $ ./pre-inst-env guix size slurm:out | tail -n1
> total: 192.6 MiB
> $ ./pre-inst-env guix size slurm:bin | tail -n1
> total: 201.3 MiB
> $ ./pre-inst-env guix size slurm:bin | grep slurm
> /gnu/store/2qhgkq79ahw64n4kmr3znl8v66z0n87j-slurm-23.11.10         192.6    17.5   8.7%
> /gnu/store/6f3d93i0zdr48v6bp471dfsk7r89xdqh-slurm-23.11.10-bin     201.3     1.3   0.6%

OK.

Hmm I just realized that the introduction of this extra output would at
least deserve a news entry too, because I can already see myself as the
Guix support guy at my workplace having to reply to confused colleagues
who realize that ‘guix shell slurm‘ or similar no longer gives them
‘salloc’ & co.  :-)

> Should I then go back to the idea of creating a slurm-minimal variant?

Yes, probably.

Apologies for all the back and forth and hesitations; it’s tricky!

Ludo’.